<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-003 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="257"><table width="100%" height="257"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="215" align="center" valign="top" style="background-image: url(images/bu_08.jpg);
	background-repeat: no-repeat;
	background-position: center bottom;">
<div style="width:259px; height:4px;"><span></span></div>
<!-- END LOGO -->
<table width="220"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><img src="images/spacer.gif" width="50" height="5" /></td>
  </tr>
  <tr>
    <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
  </tr>
  <tr>
    <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
  </tr>
</table>
<!-- END LOGO -->
	</td>
        <td width="100%" height="257" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="100%" height="257" align="left" valign="top" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-top: 50px;
	padding-left: 240px;"><table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="20"><img src="images/bulletleft1.gif" width="15" height="15" /></td>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="50"><table width="100%"  height="50" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="282" height="50"><img src="images/bu_09.jpg" width="282" height="50" alt="" /></td>
        <td width="100%" background="images/bu_10.jpg">
<!-- END MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="15" bgcolor="#FFFFFF"><img src="images/spacer.gif" width="50" height="15" /></td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top" background="images/bu_25.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="244" height="285" valign="top" style="background-image: url(images/bu_46.jpg);
	background-repeat: no-repeat;
	background-position: center bottom;"><table height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="23"><img src="images/bu_19.jpg" width="244" height="23" alt="" /></td>
          </tr>
          <tr>
            <td height="100%" align="center" valign="top" background="images/bu_25.jpg">
<!-- END SUBMENU -->
			<table width="180" border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
          <tr>
            <td height="190"><img src="images/spacer.gif" width="50" height="190" /></td>
          </tr>
        </table></td>
        <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/bu_22.jpg" width="26" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
         </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/bu_49.jpg" height="91"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="324" height="91"><img src="images/bu_47.jpg" width="302" height="91" alt="" /></td>
        <td width="100%" align="left" style="background-image: url(images/bu_50.jpg);
	background-repeat: no-repeat;
	background-position: right bottom;">
<!-- BOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="BOTTOM-MENU"/> 
          </tr>
        </table>
<!-- BOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


              <tr>
                <td width="12"><img src="images/bu_32.jpg" width="12" height="24" alt="" /></td>
                <td width="17" background="images/bu_34.jpg"><img src="images/bu_38.jpg" width="13" height="13" alt="" /></td>
                <td width="137" background="images/bu_34.jpg" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td width="12"><img src="images/bu_36.jpg" width="12" height="24" alt="" /></td>
              </tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
                <td width="12"></td>
                <td width="17"><img src="images/bu_28.jpg" width="17" height="9" alt="" /></td>
                <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td width="12"></td>
              </tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
           <tr>
             <td colspan="4"><img src="images/spacer.gif" width="50" height="8" /></td>
           </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td><div align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td><div align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
         <td width="40" align="center"><img src="images/bulletbo1.gif" width="18" height="18"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
