<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- business-008 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/008_01.jpg">
  <tr>
    <td width="100%" height="100%" valign="top" style="padding-left: 50px; padding-right: 50px; padding-top: 50px;">
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td height="5" colspan="3" bgcolor="#FFFFFF"></td>
    </tr>
    <tr>
      <td width="8" background="images/008_06.jpg" ><img src="images/spacer.gif" width="8" height="20" /></td>
      <td width="100%" align="center" valign="top" background="images/008_07.jpg"  height="60">
	  <!-- MENU -->
	   <table cellpadding="0" cellspacing="0" height="60">
          <xsl:call-template name="TOP-MENU"/>
      </table>
	  <!-- END MENU -->
	  </td>
     <td width="4" bgcolor="#FFFFFF"><img src="images/spacer.gif" width="4" height="20" /></td>  
    </tr>
    <tr>
      <td height="5" colspan="3" bgcolor="#FFFFFF"></td>
    </tr>
    <tr>
      <td height="10" colspan="3"></td>
    </tr>
    <tr>
      <td colspan="3">
	  </td>
    </tr>
    <tr align="center" valign="top">
      <td colspan="3" height="100%"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="7" height="5" bgcolor="#FFFFFF"></td>
          <td width="219" height="5" bgcolor="#FFFFFF"></td>
          <td width="16"  background="images/008_18.gif"></td>
          <td width="187" bgcolor="#FFFFFF"></td>
          <td width="15"  background="images/008_16.gif"></td>
          <td width="330" bgcolor="#FFFFFF"></td>
          <td width="4" bgcolor="#FFFFFF"></td>
        </tr>
        <tr>
          <td width="7" height="177" bgcolor="#FFFFFF"><img src="images/spacer.gif" width="7" height="1" /></td>
          <td align="center" valign="bottom" background="images/headerbg.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td align="center" valign="top">
<br />
	<!-- LOGO -->
		<table width="160" cellpadding="0" cellspacing="0" align="center">
       <tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
	<tr>
	  <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
	</tr>
		<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
		  </table>
    <!-- END LOGO -->  
			  </td>
            </tr>
            <tr>
              <td align="center" valign="bottom"><img src="images/header.jpg" alt="" border="0"/></td>
            </tr>
          </table>
		   </td>
          <td width="16" background="images/008_18.gif" ><img src="images/spacer.gif" width="15" height="8" /></td>
          <td align="right" valign="top"  background="images/008_07.jpg" style="padding-left: 20px;">
	 <!-- SUBMENU -->
		 <table width="100" border="0" cellspacing="0" cellpadding="0">
           <tr>
              <td height="20"></td>
          </tr>
          </table>
         <table cellpadding="0" cellspacing="0" width="160" align="right" >
                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              </table>
     <!-- END SUBMENU -->  
		  </td>
          <td width="15"  background="images/008_16.gif"><img src="images/spacer.gif" width="15" height="1" /></td>
          <td valign="top" width="100%" height="100%"  background="images/008_07.jpg" style="padding: 20px;">
			<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td style="padding-left: 5px;">
								<img src="images/business_24.gif" alt="" width="17" height="17" border="0"/></td>
					  		</tr>
						</table>
						<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<div style="width:200px; height:0px;"><span></span></div>
					  <!-- END CONTENT -->
		  </td>
          <td bgcolor="#FFFFFF"><img src="images/spacer.gif" width="4" height="1" /></td>
        </tr>
        <tr>
          <td height="6" bgcolor="#FFFFFF"><img src="images/spacer.gif" width="2" height="6" /></td>
          <td bgcolor="#FFFFFF"></td>
          <td width="16" background="images/008_18.gif" ></td>
          <td bgcolor="#FFFFFF"></td>
          <td width="15"  background="images/008_16.gif" ></td>
          <td bgcolor="#FFFFFF"></td>
          <td bgcolor="#FFFFFF"></td>
        </tr>
      </table></td>
    </tr>
    </table>


	</td>
  </tr>
  <tr>
    <td height="30" align="center">
 <!-- BOOTTOM MENU -->
	  <table>
	   <tr>
			<xsl:call-template name="BOTTOM-MENU"/>
	   </tr> 
        </table>
	<!--END  BOOTTOM MENU -->
	</td>
  </tr>
  <tr>
    <td height="40" align="center" class="footer">
<!-- FOOTER -->
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
<!-- END FOOTER -->
	</td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  		          <tr>
                    <td width="123"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                    <td width="17" align="center" valign="middle" class="asubmenu" style="padding:5px;"><img src="images/business_27.gif" alt="" width="7" height="8" border="0"/></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  		          <tr>
                    <td width="123"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                     <td class="submenu" style="padding-left: 5px;"> <img src="images/business_27.gif" alt="" width="7" height="8" border="0"/></td>
                  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	    <tr>
            <td colspan="2" height="7"><div style="height:7px;"><span></span></div></td>
        </tr>
		<tr>
            <td colspan="2" height="1" class="line"><div style="height:1px;"><span></span></div></td>
        </tr>
	  <tr>
            <td colspan="2" height="7"><div style="height:7px;"><span></span></div></td>
        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		    <td width="30" align="center" valign="middle"><img src="images/00.gif" width="3" height="3" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
